E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::ServerConfig Struct Reference

A configuration structure for GNet::Server. More...

`#include <gserver.h>`

## Public Member Functions
ServerConfig & | set_uds_open_permissions (bool b=true)

## Public Attributes
int | listen_queue { G::limits::net_listen_queue }
bool | uds_open_permissions { true }

## Detailed Description

A configuration structure for GNet::Server.

Definition at line 49 of file gserver.h.

## Member Function Documentation

## ◆ set_uds_open_permissions()

GNet::ServerConfig & GNet::ServerConfig::set_uds_open_permissions | ( | bool | b = `true` | ) |
| inline

Definition at line 151 of file gserver.h.

## Member Data Documentation

## ◆ listen_queue

int GNet::ServerConfig::listen_queue { G::limits::net_listen_queue }

Definition at line 51 of file gserver.h.

## ◆ uds_open_permissions

bool GNet::ServerConfig::uds_open_permissions { true }

Definition at line 52 of file gserver.h.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gserver.h